=== debian/changelog ===
lcom (1.01-1) unstable; urgency=low

  * Added more examples to man page
  
 -- Comtrol Corp <support@comtrol.com>  Thu, 14 Nov 2002 15:44:24 -0600

lcom (1.00-1) unstable; urgency=low

  * Initial Release.

 -- Comtrol Corp <support@comtrol.com>  Thu,  7 Nov 2002 17:12:52 -0600
