=== debian/control ===
Source: lcom
Section: unknown
Priority: optional
Maintainer: Comtrol Corp <support@comtrol.com>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: lcom
Architecture: any
Depends: ${shlibs:Depends}
Description: serial comm test application
 lcom is an ncurses based application that allows the user to
 open multiple serial ports and/or TCP/IP connections and
 perform throughput testing and other tasks.
